## org.hibernate.engine.query
Class ReturnMetadata

    java.lang.Object
      org.hibernate.engine.query.ReturnMetadata

All Implemented Interfaces:
  Serializable

    public class ReturnMetadata

extends Object
implements Serializable

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`ReturnMetadata(String[] returnAliases, Type[] returnTypes)`

Method Summary
`String[]` `getReturnAliases()`
`Type[]` `getReturnTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReturnMetadata

    public ReturnMetadata(String[] returnAliases,
                          Type[] returnTypes)

Method Detail

### getReturnAliases

    public String[] getReturnAliases()

### getReturnTypes

    public Type[] getReturnTypes()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.